package simple.dcsp.abtfamily.abthyb;

import kernel.StopException;
import kernel.com.Message;

/**
 * for each value we store just one Nogood following this heuristic: when comparing two nogoods, select the one with the highest possible lowest
 * variable involved (Nogood Selector HPLV)
 */

public class NogoodsHandler extends simple.dcsp.abtfamily.abt.NogoodsHandler {

	public NogoodsHandler(ABTHybAgent agent) {
		super(agent);
	}

	/**
	 * 
	 */
	@Override
	public void processMessage(Message msg) throws StopException {
		if(!((ABTHybAgent) this.myAgent).wait){
			super.processMessage(msg);
		}
	}

}
