package simple.dcsp.afcfamily.afcng.domDeg;

import kernel.AbstractAgent;
import kernel.order.MinDomDegAO;
import simple.dcsp.afcfamily.afcng.AFCngMaster;

public class AFCngDomDegMaster extends AFCngMaster {

	public AFCngDomDegMaster() {
		this.setCentralizedAO(new MinDomDegAO());
	}

	@Override
	public AbstractAgent makeAgent(int agentId, String agentName, String description) {
		return new AFCngDomDegAgent(agentId, agentName, description, AFCngDomDegAgent.DOM_DEG);
		// .DOM_FUTUR_DEG);
	}

//	public void broadcast(Message msg, int agentId) {
//		if (msg.getType().equals(Commands.AO)) {
//			HashMap<Integer, AgentComplexity> ac = this.centralizedAO.getAgentsComplexity();
//			IntArray ao = (IntArray) msg.get(Commands.ORDER);
//			for (int id : ao)
//				msg.addContents(id + "", new Integer(ac.get(id).getMaxDomain()));
//		}
//		super.broadcast(msg, agentId);
//	}

}
