package util;

public final class Commands {

	public static final String MASTER = "Master";
	public static final String INITIALIZER = "initializer";
	public static final String TERMINATION_DETETION = "termination";

	public static final String SYSTEM = "system";
	public static final String INIT = "init";
	public static final String PROB_DEF = "pb_def";

	public static final String GET_CONNECTION = "GET_CONNECTION";
	public static final String CONNECTION_OK = "CONNECTION_OK";
	public static final String GET_START_INIT = "GET_START_INIT";
	public static final String GET_START_DS = "GET_START_DISTRIBUTED_SEARCH";
	public static final String START_INIT_OK = "START_INIT_OK";
	public static final String START_DS_OK = "START_DISTRIBUTED_SEARCH_OK";
	public static final String SIMULATION_USE = "SIMULATION_USE";
	public static final String REALISTIC_USE = "REALISTIC_USE";
	public static final String END_INIT_AND_START_DS = "End_Init_And_Start_DS";
	public static final String INITIAL_END_AGENT = "Initial_End_Agent";

	public static final String SenderID = "from";
	public static final String ReceiverID = "to";
	public static final String MSG_TYPE = "type";
	public static final String CONTENTS = "contents";
	public static final String ID = "id";
	public static final String LTC = "ltc";
	public static final String numAgents = "numAgents";
	public static final String AgentIDs = "agIds";
	public static final String TERMINATE = "Terminate";
	public static final String FAILURE = "Failure";
	public static final String SUCCESS = "Success";
	public static final String ACCEPTED = "accepted";

	public static final String OK = "ok";
	public static final String INFO = "Info";

	public static final String NOGOOD = "ngd";
	public static final String ADDLINK = "adl";
	public static final String PROPAGATION = "propagation";
	public static final String VALUE = "value";
	public static final String COST = "cost";
	public static final String CPA = "cpa";
	public static final String ESTIMATE = "estimate";
	public static final String SOLUTION = "solution";
	public static final String HANDLER_TYPE = "handler";
	public static final String RHS = "rhs";
	public static final String LHS = "lhs";
	public static final String ORDER = "order";
	public static final String REORDER = "reorder";
	public static final Object INVERSE_ORDER = "Inv_Order";
	public static final String FC = "fc"; // "FORWARD_CHECKING";
	public static final String CONTEXT = "context";
	public static final String FC_CTX = "FC_CTX"; // "FORWARD_CHECKING_CONTEXT";
	public static final String FC_NG = "FC_NG"; // "FORWARD_CHECKING_NOGOOD";
	public static final String BACKTRACK = "back";
	public static final String LOCALSEARCH = "LSearch";
	public static final String AO = "AgentOrdering";
	public static final String ERROR = "Error";
	public static final String AGENT_DESCRIPTION = "Agent_Descrirption";

	public static final String COMPLEXITY = "Complexity";
	public static final String DomainSize = "domainSize";
	public static final String NB_CONSTRAINTS = "nbConstraints";

	// ************************ DisFC ****************************
	public static final String TKC = "TKC"; // constraint model : Totally known constraint
	public static final String PKC = "PKC"; // constraint model : Partially known constraint

	public static final String FC_CPA = "fc_cpa";

	public static final String SIMPLE = "Simple";

	public static final String DELETE = "delete";
	public static final String SEQUENCE = "sequence";
	public static final String TIMESTAMP = "TimeStamp";

	public static final String THRESHOLD = "Threshold";
	public static final String NEIGHBORS = "neighbors";
	public static final String NCSteps = "NCSteps";

	public static final String NCCCs = "ncccs";
	public static final String CCs = "CCs";
	public static final String GNCCCs = "gncccs";

	public static final String STATISTICS = "Statistics";
	public static final String MSGs = "msg";
	public static final String nbMsgSend = "nbMsgSend";
	public static final String nbMsgRcvd = "nbMsgRcvd";
	public static final String NOT_OK = "not_ok";

	// ************************ Communications ****************************
	public static final String RandomTKC = "RandomTKC";
	public static final String RandomPKC = "RandomPKC";
	public static final String Random = "Random";
	public static final String RandomDisCSP = "Random DisCSP";
	public static final String DisCSP = "DisCSP";
	public static final String DCSP = "DCSP";
	public static final String DCOP = "DCOP";
	public static final String GraphColoring = "Graph Coloring";
	public static final String GC = "GC";
	public static final String COMPLEX = "Complex";
	public static final String NQueen = "NQueen";
	public static final String SOLVABLE = "solvability"; // satisfiability 
	public static final String ComplexRandomTKC = "Complex Random TKC";

	public static final String SensorNetworking = "Sensor Networking";
	public static final String SensorNetworks = "SensorNetworks";
	public static final String GSensorDCSP = "GSensorDCSP";
	public static final String SensorDCSP = "SensorDCSP";
	public static final String MEETING = "Meeting";
	public static final String MeetingScheduling = "MeetingScheduling";
	public static final String RMSP = "RandomMSP";
	public static final String MSP = "MSP";

	public static final String URGColoring = "Uniform Random Graph Coloring";
	public static final String URDisCSP = "Uniform Random DisCSP";
	public static final String DMSP = "Distributed Meeting Scheduling Problem";
	public static final String DSNP = "Distributed Sensor Networking Problem";
	public static final String URComplexDisCSP = "Uniform Random Complex DisCSP";
	public static final String DisNQueen = "Distributed N-Queen";

	public static final String STATE = "STATE";
	public static final String QUIESCENCE = "Quiescence";
	public static final String Experiments = "Experiments";
	public static final String ChangeOrder = "ChangeOrder";
	public static final String IMPROVE = "improve";
	public static final String CYCLE = "Cycle";
	public static final String END_STATE = "END_STATE";
	public static final String URGENT = "URGENT";
	public static final String BROADCAST_SYSTEM_MSG = "BROADCAST_SYSTEM_MSG";
	public static final String AGENT_COMPLEXITY = "AGENT_COMPLEXITY";
	public static final String CC_CURRENT_CYCLE = "CCs_Curent_Cycle";

	public static final String LexicoAO = "LexicoAO";
	public static final String MinDomDegAO = "MinDomDegAO";
	public static final String RandomAO = "RandomAO";
	public static final String TreeAO = "TreeAO";
	public static final String MaxDegPlusMinDomAO = "MaxDegPlusMinDomAO";

	public static final String Results = "Results";
	public static final String FAST_COM = "Fast_Communication";
	public static final String SLOW_COM = "Slow_Communication";
	public static final String MEDIUM_COM = "Medium_Communication";
	public static final String[] communicationTypes = {FAST_COM, SLOW_COM, MEDIUM_COM};
	public static final String Communications = "Communications";
	public static final String nbCommunications = "nbCommunications";
	public static final String Communication = "Communication";
	public static final String type = "type";
	public static final String MinURC = "MinURC";
	public static final String MaxURC = "MaxURC";
	public static final String channelType = "channelType";
	public static final String NbRun = "NbRun";
	public static final String MaxNCCCs = "MaxNCCCs";
	public static final String FIFO = "FIFO";
	public static final String NON_FIFO = "NON_FIFO";
	public static final String[] channelsTypes = {FIFO, NON_FIFO};

	public static final String Protocol = "protocol";
	public static final String Algorithms = "Algorithms";
	public static final String nbAlgorithms = "nbAlgorithms";
	public static final String Algorithm = "Algorithm";

	public static final String KEY = "key";
	public static final String OPERATOR = "Operator";
//	public static final String MAX = "max";
//	public static final String MIN = "min";
	public static final String CBR = "CBR";
	public static final String METRIC = "metric";
	public static final String NCCT = "NCCT";
	public static final String p2 = "P2";
	public static final String MsgStatistics = "MSG_STATISTIC";
	public static final String density = "desity";
	public static final String GRAPH = "Graph";
	public static final String NCPairValue = "NCPairValue";

	public static final String Stampe = "stampe";
	public static final String Generator = "generator";
	public static final String LINK = "link";
	public static final String OtherStatistics = "OtherStatistics";
	public static final String AUXILIARY_STATISTICS = "AuxStatistics";
//	public static final String plus = "+";

	// ================================================================================
	public static final String nbObsoleteNogood = "nbObsoleteNogood";
	public static final String ObsoleteOk = "ObsoleteOk";
	public static final String nbAssignments = "nbAssignments";

	public static final String COUNTER = "ctr";
	public static final String WEIGHT = "Weight";
	public static final String MSGsSIZE = "MsgsSize";
	public static final String MaxMSGsSIZE = "MaxMsgsSize";
	public static final String Control = "Control";
	
	
	public static final String MAX = "max";
	public static final String MIN = "min";
	public static final String CPU = "CPU(s)";
	public static final String Time = "time(s)";
	public static final String comulatedCpuTime = "comulatedCpuTime";

}
